"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfigs = void 0;
const node_process_1 = require("process");
const node_path_1 = require("path");
const fs_js_1 = require("../polyfills/fs.js");
const jsonc_js_1 = require("../polyfills/jsonc.js");
const processCWD = (0, node_process_1.cwd)();
/* c8 ignore next */ // ?
const getConfigs = async (customPath) => {
    const expectedFiles = customPath
        ? [customPath]
        : new Set([
            'poku.config.js',
            'poku.config.cjs',
            '.pokurc.json',
            '.pokurc.jsonc',
        ]);
    for (const file of expectedFiles) {
        const filePath = (0, node_path_1.join)(processCWD, file);
        try {
            if (filePath.endsWith('.js') || filePath.endsWith('.cjs')) {
                /* c8 ignore next */ // ?
                return (await Promise.resolve(`${(0, node_path_1.normalize)(filePath)}`).then(s => __importStar(require(s))));
            }
            const configsFile = await (0, fs_js_1.readFile)(filePath, 'utf-8');
            return jsonc_js_1.JSONC.parse(configsFile);
        }
        catch (_a) { }
    }
    return {};
};
exports.getConfigs = getConfigs;
